# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Test.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Fcntl.pm) perl(FindBin.pm) perl(Time/HiRes.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Catalyst-Plugin-PageCache
Version:        0.31
Release:        alt1_7
Summary:        Cache the output of entire pages
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Catalyst-Plugin-PageCache/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TI/TIMB/Catalyst-Plugin-PageCache-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Cache/Cache.pm)
BuildRequires:  perl(Cache/FileCache.pm)
BuildRequires:  perl(Catalyst/Plugin/Cache.pm)
BuildRequires:  perl(Catalyst/Plugin/I18N.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(Digest/SHA1.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)

Requires:       perl(Catalyst/Runtime.pm)
Requires:       perl(Class/Accessor/Fast.pm)
Source44: import.info

%description
Many dynamic websites perform heavy processing on most pages, yet this
information may rarely change from request to request. Using the PageCache
plugin, you can cache the full output of different pages so they are served
to your visitors as fast as possible. This method of caching is very useful
for withstanding a Slashdotting, for example.

%prep
%setup -q -n Catalyst-Plugin-PageCache-%{version}
iconv -f iso-8859-1 -t utf-8 README >README.conv && mv README.conv README

%build
PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1_6
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1_4
- fc import

